Bug 665190 - Review Request: perl-List-UtilsBy - Higher-order list utility functions
Summary: Review Request: perl-List-UtilsBy - Higher-order list utility functions
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 665189
TreeView+ depends on / blocked
 
Reported: 2010-12-23 02:57 UTC by Ralf Corsepius
Modified: 2011-01-22 20:31 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-22 20:30:29 UTC
mmaslano: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-23 02:57:44 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-List-UtilsBy.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-List-UtilsBy-0.06-1.fc15.src.rpm

Description:
This module provides a number of list utility functions, all of which take
an initial code block to control their behaviour. They are variations on
similar core perl or List::Util functions of similar names, but which use
the block to control their behaviour. For example, the core Perl function
sort takes a list of values and returns them, sorted into order by their
string value. The sort_by function sorts them according to the string value
returned by the extra function, when given each value.

Comment 1 Marcela Mašláňová 2011-01-06 13:30:28 UTC
- rpmlint:
rpmlint perl-List-UtilsBy-0.06-1.fc15.src.rpm 
W: spelling-error %description -l en_US behaviour -> behavior, behave, behalves
^ that's not American English, but seems to me rude changing description from British author to something else. Therefore OK
W: spelling-error %description -l en_US Util -> Til, U til, Utile
^ nonsense
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
^ http://koji.fedoraproject.org/koji/taskinfo?taskID=2704543
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides ../RPMS/noarch/perl-List-UtilsBy-0.06-1.fc14.noarch.rpm 
perl-List-UtilsBy = 0.06-1.fc14
rpm -qp --requires ../RPMS/noarch/perl-List-UtilsBy-0.06-1.fc14.noarch.rpm 
perl(:MODULE_COMPAT_5.12.2)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

ACCEPT

Comment 2 Ralf Corsepius 2011-01-07 07:52:01 UTC
Thanks for the review.


New Package CVS Request
=======================
Package Name: perl-List-UtilsBy
Short Description: Higher-order list utility functions
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 3 Marcela Mašláňová 2011-01-07 13:07:11 UTC
I found there's missing one provides. Add:
Provides:       perl(List::UtilsBy)
You can't build dependent package without it.

Comment 4 Ralf Corsepius 2011-01-07 16:33:33 UTC
# (In reply to comment #3)
> I found there's missing one provides. Add:
> Provides:       perl(List::UtilsBy)
> You can't build dependent package without it.

Which target are you building for?

# rpm -qlp perl-List-UtilsBy-0.06-1.fc14.noarch.rpm 
/usr/share/doc/perl-List-UtilsBy-0.06
/usr/share/doc/perl-List-UtilsBy-0.06/Changes
/usr/share/doc/perl-List-UtilsBy-0.06/LICENSE
/usr/share/doc/perl-List-UtilsBy-0.06/README
/usr/share/man/man3/List::UtilsBy.3pm.gz
/usr/share/perl5/List
/usr/share/perl5/List/UtilsBy.pm

# rpm -q --provides -p perl-List-UtilsBy-0.06-1.fc14.noarch.rpm 
perl(List::UtilsBy) = 0.06
perl-List-UtilsBy = 0.06-1.fc14

Comment 5 Ralf Corsepius 2011-01-07 16:49:12 UTC
Same for a local f15 built:

# rpm -q --provides -p /var/lib/mock/fedora-rawhide-i386/result/perl-List-UtilsBy-0.06-1.fc15.noarch.rpm 
perl(List::UtilsBy) = 0.06
perl-List-UtilsBy = 0.06-1.fc15

Could it be you simply didn't specify the arguments in your rpmquery call correctly?

Note what you wrote in comment #1:
rpm -qp --provides ../RPMS/noarch/perl-List-UtilsBy-0.06-1.fc14.noarch.rpm 
perl-List-UtilsBy = 0.06-1.fc14


"rpm -qp --provides" ... -p is a positional argument which takes one argument.

Comment 6 Jason Tibbitts 2011-01-07 17:30:02 UTC
Git done (by process-git-requests).

Comment 7 Marcela Mašláňová 2011-01-10 09:12:54 UTC
(In reply to comment #5)
> Same for a local f15 built:
> 
> # rpm -q --provides -p
> /var/lib/mock/fedora-rawhide-i386/result/perl-List-UtilsBy-0.06-1.fc15.noarch.rpm 
> perl(List::UtilsBy) = 0.06
> perl-List-UtilsBy = 0.06-1.fc15
> 
> Could it be you simply didn't specify the arguments in your rpmquery call
> correctly?
> 
> Note what you wrote in comment #1:
> rpm -qp --provides ../RPMS/noarch/perl-List-UtilsBy-0.06-1.fc14.noarch.rpm 
> perl-List-UtilsBy = 0.06-1.fc14
> 
> 
> "rpm -qp --provides" ... -p is a positional argument which takes one argument.

Ok, I had old testing rpm, which has troubles with creating correct provides.

Comment 8 Fedora Update System 2011-01-14 15:31:38 UTC
perl-List-UtilsBy-0.06-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-List-UtilsBy-0.06-1.fc13

Comment 9 Fedora Update System 2011-01-14 15:31:45 UTC
perl-List-UtilsBy-0.06-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-List-UtilsBy-0.06-1.fc14

Comment 10 Fedora Update System 2011-01-14 20:31:57 UTC
perl-List-UtilsBy-0.06-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-List-UtilsBy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-List-UtilsBy-0.06-1.fc14

Comment 11 Fedora Update System 2011-01-22 20:30:25 UTC
perl-List-UtilsBy-0.06-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-01-22 20:30:57 UTC
perl-List-UtilsBy-0.06-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.